Accueil > Release > Mise à jour de maintenance :  sortie de SPIP 4.1.1 & SPIP 4.0.6

Mise à jour de maintenance :  sortie de SPIP 4.1.1 & SPIP 4.0.6

vendredi 1er avril 2022, par La team

Suite à la sortie de SPIP 4.1.0, nous avons corrigé quelques petits bugs qui nous ont été remontés dans la semaine, et ça n’est pas une blague de 1er avril ;)

La version 4.0.6 profite aussi de quelques corrections reportées depuis la branche 4.1.

Corrections principales apportées par SPIP 4.1.1

  • correction d’un bug dans le téléchargement des plugins chez certains hébergeurs (Infomaniak par exemple)
  • mise à jour du htaccess afin de renvoyer une erreur 404 lors des tentatives d’accès aux fichiers cachés
  • correction d’un bug dans les flux RSS des forums quand des notes sont présentes dans le texte du message
  • correction d’un bug lors de l’utilisation de la nouvelle constante _IMAGE_TAILLE_MINI_AUTOLIEN

Corrections principales apportées par SPIP 4.0.6

La version 4.0.6 a aussi bénéficié de certains des correctifs apportés par la branche 4.1 quand cela était nécessaire.

Mettre à jour en utilisant le spip_loader

Vous pouvez aussi mettre à jour au moyen de la dernière version du spip_loader (version 5.2.0)

Le spip_loader est maintenant distribué à l’adresse suivante
https://get.spip.net/

Le spip_loader.php est maintenant au format binaire phar. Si vous avez besoin d’utiliser des define, il faut donc créer un fichier de configuration spip_loader_config.php

Résumé des versions de SPIP

Branche Version Suivi Compatibilité PHP
SPIP 4.1 SPIP 4.1.1 Branche stable PHP 7.4 à PHP 8.1
SPIP 4.0 SPIP 4.0.6 Branche stable PHP 7.3 à PHP 8.0
SPIP 3.2 SPIP 3.2.14 Branche stable PHP 5.4 à PHP 7.4

Les versions SPIP 3.1 et antérieures ne sont plus maintenues.

Pour connaître le détail des versions maintenues :
https://www.spip.net/fr_article6500.html

Comment être tenu au courant de ces annonces ?

C’est simple, inscrivez-vous sur la mailing liste https://discuter.spip.net/c/spip-ann/13

Bien sûr les réseaux sociaux sont de la partie :

Une question, besoin d’aide ?

En cas de problème ou de difficultés, il y aura certainement quelqu’un pour vous aider sur IRC, N’hésitez pas à venir poser vos questions https://irc.spip.net

Vous pouvez aussi poster un message et échanger sur :

Nous vous rappelons que pour signaler une faille, il suffit d’envoyer un mail à spip-team@rezo.net

Messages

  • Bonjour,

    Passant à spip 4.1.0 => site inaccessible. J’ai progressivement déduit que le problème venait de /ecrire/inc/action_securiser.php : en remettant celui de la version 4.0.2 le site était à nouveau accessible, et plus précisément en supprimant (du action_securiser.php de 4.1.0) toutes les lignes « secret_du_site » :

    use Spip\Chiffrer\SpipCles;

    * Renvoyer le secret du site (le generer si il n'existe pas encore)
    *
    * @uses SpipCles::secret_du_site()
    * @return string
    */
    function secret_du_site() {
            include_spip('inc/chiffrer');
            return SpipCles::secret_du_site();
    }

    function calculer_cle_action($action) {
            return hash_hmac('sha256', $action, secret_du_site());
    }

    function verifier_cle_action($action, $cle) {
            return hash_equals($cle, calculer_cle_action($action));
    }

            $token = _action_auteur('previsualiser-' . $url, $id_auteur, secret_du_site(), $alea);

    Idem avec spip 4.1.1
    Si cette information peut être utile aux développeurs …
    Cela sur serveur local sur mon pc perso, debian apache2 php7.4
    (je ne suis qu’un bidouilleur gérant petit site associatif. Sur le site de l’assoc la mise à jour s’est passé sans problème, problème qui est donc sans doute plutôt sur mon serveur perso)

  • Bonjour,

    Le spip_loader.php 5.2 ne fonctionne pas ? D’autre part l’error : 404 dans les statistiques est toujours présente malgré le passage en 4.1.1 ? Fichier .htaccess mis à jour effectué.

    Cordialement

    Gilles Caffiaux

    https;//cgsebdeb.fr/

  • Bonjour
    J’ai voulu passer de Spip 4.05 vers 4.1.1, par spip_loader 5.2, et malheureusement cela s’est mal passé.
    L’adresse du site me conduit à une page blanche comme l’accès par « ecrire ».
    Aucun résultat avec diverses éditions de Spip par FTP.
    Spip_loader me refuse l’accès et me demande un mdp que je ne sais pas renter.
    Heureusement j’avais fait une sauvegarde complète et g pu installer mon site en local pour faire des essais.... sans aboutir.
    Ma seule issue est de vider ma base de données, d’installer Spip et de remettre la bdd de sauvegarde, mais peut-être avez-vous une solution plus fine ?

    Mon site : lepetitgourdinillustre.net
    PHP 7.4
    W 10

  • Bonjour,

    Je ne vois pas pourquoi le spip_loader.php 5.1.0 demande des mises à jour en 5.1.1 puis en 5.2.0 alors qu’il ne fonctionne pas ? Rester sur le spip_loader.php 5.1.0 est plus sur pour l’instant.

    Cordialement.

    Gilles Caffiaux

    https://cgsebdeb.fr/

  • I get HTTP ERROR 500 with PHP 8.1 and PHP 8.0 when I want to update plugins.
    changing back to PHP 7.4 gives the following error :
    Execution error ../prive/squelettes/body.html | File […]/ecrire/src/Chiffrer/SpipCles.php Line 155 : Undefined constant ’SODIUM_CRYPTO_SECRETBOX_KEYBYTES’

  • bonjour,
    essais infructueux renouvelés de télécharger la version SPIP 4.0.6 qui chaque fois aboutit à un message sur l’impossibilité de télécharger car ce fichier ne peut pas être lu ... et ça bloque mon système, généralement obligée de redémarrer ... j’utilise la dernière version de Mozilla, Windows10. Mes sites passent pourtant les uns après les autres en version 4.0 sont en .5 ... sans problème (je n’utilise pas spip loader)
    que faire ?

Un message, un commentaire ?

Qui êtes-vous ?
Se connecter
Votre message

Ce formulaire accepte les raccourcis SPIP [->url] {{gras}} {italique} <quote> <code> et le code HTML <q> <del> <ins>. Pour créer des paragraphes, laissez simplement des lignes vides.